Subject: Pre-Diabetes Reversal - Blood Sugar from 407 to 113

From: "Blood Sugar Tip" <[email-masked]>
Date: Tue, 5 Jul 2016 15:39:51 -0700

[email-masked] for best results view this email with HTML enabled.